import { DecodedToken } from './types';
export interface JwtVerifierOptions {
    /**
     * Issuer to validate (eg: https://auth.sandrino.dev/)
     */
    issuer: string;
    /**
     * Audience to validate (eg: https://my.com/api)
     */
    audience: string;
    /**
     * Function which allows you to map claims.
     */
    mapClaims?: (token: DecodedToken) => Promise<DecodedToken>;
}
export declare function validateConfiguration(options: JwtVerifierOptions): void;
